Skip to main content
POST
/
commerce
/
customer
/
segments
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "code": "<string>",
  "description": "<string>",
  "id": 123,
  "name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

Name of the customer segment to create.

A customer segment.

auditInfo
object
code
string | null

Unique identifier of the customer segment.

description
string | null

Description of the customer segment.

id
integer<int32>

Unique identifier of the customer segment.

name
string | null

Name of the customer segment.

Response

Success

A customer segment.

auditInfo
object
code
string | null

Unique identifier of the customer segment.

description
string | null

Description of the customer segment.

id
integer<int32>

Unique identifier of the customer segment.

name
string | null

Name of the customer segment.